Results 1 to 10 of 10

Thread: Firefox 26 not installed?

  1. #1
    Join Date
    Jun 2013
    Beans
    52

    Firefox 26 not installed?

    Is it not in the repos yet? I noticed there are blogs and articles about 26 being released and one should be able to upgrade to 26. But, it's not even displayed in 14.04 (13.10 shows in my install)?

    Code:
    $ apt-cache policy firefox
    firefox:
      Installed: 25.0+build3-0ubuntu0.13.10.1
      Candidate: 25.0+build3-0ubuntu0.13.10.1

  2. #2
    Join Date
    Jun 2005
    Location
    Where?
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Firefox 26 not installed?

    Thais has been addressed already.
    http://ubuntuforums.org/showthread.php?t=2196001
    You will see a couple of ways to upgrade and depending on your skill set, I would not recommend the proposed ppa unless you can fix things that get broked.
    You can simply add the firefox ppa works on trusty been using it for a bit now.
    Firefox PPA works for Trusty.
    https://launchpad.net/~mozillateam/+...e/firefox-next
    Regards
    Last edited by runrickus; January 7th, 2014 at 04:40 PM. Reason: add more
    “Those who desire to give up freedom in order to gain security will not have, nor do they deserve, either one" Benjamin Franklin

  3. #3
    Join Date
    Jun 2013
    Beans
    52

    Re: Firefox 26 not installed?

    I understand this, I think but I still got this error:

    Fetched 27.1 MB in 40s (661 kB/s)
    W: Failed to fetch http://ppa.launchpad.net/mozillateam...amd64/Packages 404 Not Found

    W: Failed to fetch http://ppa.launchpad.net/mozillateam...-i386/Packages 404 Not Found

    E: Some index files failed to download. They have been ignored, or old ones used instead.

  4. #4
    Join Date
    Jun 2005
    Location
    Where?
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Firefox 26 not installed?

    Quote Originally Posted by ubunt72 View Post
    I understand this, I think but I still got this error:
    Change or edit that PPA with synaptic from "trusty" to "saucy"
    “Those who desire to give up freedom in order to gain security will not have, nor do they deserve, either one" Benjamin Franklin

  5. #5
    Join Date
    May 2007
    Location
    The New Forest
    Beans
    Hidden!
    Distro
    Xubuntu Development Release

    Re: Firefox 26 not installed?

    personally - I just enabled proposed - let firefix update and then disabled it again

  6. #6
    Join Date
    Jan 2007
    Location
    Connecticut
    Beans
    1,642
    Distro
    Ubuntu Development Release

    Re: Firefox 26 not installed?

    Quote Originally Posted by Elfy View Post
    personally - I just enabled proposed - let firefix update and then disabled it again
    ingenious!! thanks Elfy
    MOTHERBOARD: GIGABYTE GA-990FXA-UD5, CPU: AMD FX-8150 Zambezi
    MEMORY: G.SKILL Ripjaws Z Series 32GB,
    VIDEO CARD: ASUS GTX480
    SSDs: Samsung 840 series 250Gb, Kingston HyperX 3K 120Gb, PNY XLR 120Gb
    OS: Ubuntu Release Candidate, openSuse, Win8.



  7. #7
    Join Date
    Jun 2005
    Location
    Where?
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Firefox 26 not installed?

    Quote Originally Posted by Elfy View Post
    personally - I just enabled proposed - let firefix update and then disabled it again
    Or You could do the above
    Thanks Elfy
    Although been running firefox next ppa every time the current os Im running isnt current with the firefox version since I think(?)
    Maverick without any problems.
    Last edited by runrickus; January 24th, 2014 at 02:42 AM. Reason: no editing was done
    “Those who desire to give up freedom in order to gain security will not have, nor do they deserve, either one" Benjamin Franklin

  8. #8
    Join Date
    Jun 2013
    Beans
    52

    Re: Firefox 26 not installed?

    EDIT: Doh! I just read about changing it from trusty to saucy in the ppa. It upgraded and installed/upgraded to Firefox 26 but.... BUT, it complained that there was some problems with 'some add-ons.' What does that mean? I don't notice anything problematic yet.

    Is there any difference with doing it the 'ppa way' vs the checking/enabling the 'proposed' software way?
    Last edited by ubunt72; January 11th, 2014 at 07:23 PM.

  9. #9
    Join Date
    Jun 2007
    Beans
    14,011

    Re: Firefox 26 not installed?

    That FF ppa does not have trusty packages so if you wanted to use then you'd need to edit the source entries to saucy

    If you must have the latest FF before then just enable -proposed & update FF ,ect
    (currently @27

  10. #10
    Join Date
    Jun 2005
    Location
    Where?
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Firefox 26 not installed?

    Quote Originally Posted by ubunt72 View Post
    The ppa way doesn't work so I'll try the 'proposed' trick.

    Err http://ppa.launchpad.net trusty/main Sources
    404 Not Found
    Err http://ppa.launchpad.net trusty/main amd64 Packages
    404 Not Found
    Err http://ppa.launchpad.net trusty/main i386 Packages
    404 Not Found

    W: Failed to fetch http://ppa.launchpad.net/mozillateam...source/Sources 404 Not Found

    W: Failed to fetch http://ppa.launchpad.net/mozillateam...amd64/Packages 404 Not Found

    W: Failed to fetch http://ppa.launchpad.net/mozillateam...-i386/Packages 404 Not Found

    E: Some index files failed to download. They have been ignored, or old ones used instead.

    The how-to I found (more than one) more or less instruct the same thing and nothing worked. There needs to be better instructions or someone confirming it doesn't work so we don't waste our time.
    Did you edit your source list for that ppa from trusty to saucy because it not ready for trusty..
    Yes just use Elfys way..
    Here is my version
    Attached Images Attached Images
    Last edited by runrickus; January 11th, 2014 at 08:01 PM.
    “Those who desire to give up freedom in order to gain security will not have, nor do they deserve, either one" Benjamin Franklin

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •